Help father help son / Install Version 2.6 on Mac OSX 10.9

Cameron Simpson cs at zip.com.au
Wed Feb 26 01:20:21 CET 2014


On 24Feb2014 21:57, Ned Deily <nad at acm.org> wrote:
> In article 
> <CAPTjJmp-UDAdJz=28ywCggkepFcTTJ-=9rEvtpsXO_Vgup=QCw at mail.gmail.com>,
>  Chris Angelico <rosuav at gmail.com> wrote:
> > On Tue, Feb 25, 2014 at 4:28 PM,  <quequegg at gmail.com> wrote:
> > > Trying to install Python 2.6 because PyGames says it will only install if 
> > > Python 2.6 is present.
> > 
> > Are you sure you need 2.6 and not 2.7? This suggests 2.7 works:
> > 
> > http://pygame.org/wiki/MacCompile
> 
> And, in any case, Apple ships OS X 10.9 with copies of both Python 2.7 
> and 2.6:
> 
> /usr/bin/python2.7
> /usr/bin/python2.6

And there's always MacPorts for your multiversion needs:

  python24 @2.4.6_10 (lang)
  python25 @2.5.6_4 (lang)
  python26 @2.6.9 (lang)
  python27 @2.7.6 (lang)
  python31 @3.1.5 (lang)
  python32 @3.2.5 (lang)
  python33 @3.3.4 (lang)
  python34 @3.4.0rc1 (lang)

Cheers,
-- 
Cameron Simpson <cs at zip.com.au>

The ZZR-1100 remains the big, fast, versatile bike for the rider with a
regular pillion passenger or the desire to humiliate just about every
other road user who attempted to match its straight line acceleration. - REVS



More information about the Python-list mailing list